/* Main container */
.container {
  padding: 1rem;
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
  grid-template-areas:
    "headline1 headline2"
    "list list"
    "growth growth"
    "engagement engagement"
    "regions regions"
    "authors authors"
    "activity activity";
}

/* Media Queries and Animations */

@media only screen and (min-width: 600px) {
  .container {
    grid-template-areas:
      "headline1 headline2"
      "list list"
      "growth growth"
      "engagement regions"
      "authors authors"
      "activity activity";
  }
}

@media only screen and (min-width: 800px) {
  .container {
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas:
      "headline1 headline2 list list"
      "engagement growth growth regions"
      "authors authors activity activity";
    width: 800px;
    margin: 0 auto;
  }
}

@keyframes hide {
  0%,
  50% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}

.preloader {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  background: var(--background-color);
  opacity: 0;
  visibility: hidden;
  animation: hide 1s linear;
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}

.spinner {
  width: 6.5rem;
  height: 6.5rem;
  border-radius: 50%;
  border: 0.6rem solid var(--accent-color);
  border-top-color: var(--primary-color);
  animation: spin 1s infinite linear;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

.sidebar {
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  display: none;
  flex-direction: column;
  align-items: stretch;
  justify-content: space-between;
  width: 3.3rem;
  height: 100%;
  background: var(--card-color);
}

.sidebar .uil {
  font-size: 1.8rem;
  cursor: pointer;
}

@media only screen and (min-width: 800px) {
  .sidebar {
    display: flex;
  }
}

.sidebar-top,
.sidebar-bottom {
  display: grid;
  place-items: center;
  height: 4.4rem;
}
